## org.apache.lucene.codecs.simpletext
Class SimpleTextSegmentInfoReader

    java.lang.Object
      org.apache.lucene.codecs.SegmentInfoReader
          org.apache.lucene.codecs.simpletext.SimpleTextSegmentInfoReader

    public class SimpleTextSegmentInfoReader

extends SegmentInfoReader

reads plaintext segments files

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextSegmentInfoReader()`

Method Summary
`SegmentInfo` `read(Directory directory, String segmentName, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextSegmentInfoReader

    public SimpleTextSegmentInfoReader()

Method Detail

### read

    public SegmentInfo read(Directory directory,
                            String segmentName,
                            IOContext context)
                     throws IOException

  Specified by:
    `read` in class `SegmentInfoReader`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.